
###
 # @Author: Logan.Li
 # @Gitee: https://gitee.com/attacker
 # @email: admin@attacker.club
 # @Date: 2023-07-02 00:37:17
 # @LastEditTime: 2023-07-02 00:37:28
 # @Description: 
 # https://supes.top/docker%E7%89%88openwrt%E6%97%81%E8%B7%AF%E7%94%B1%E5%AE%89%E8%A3%85%E8%AE%BE%E7%BD%AE%E6%95%99%E7%A8%8B/
### 
# 打开网卡混杂模式
ip link set ens33 promisc on
# 创建网络
docker network create -d macvlan \
--subnet=192.168.0.0/24 \
--gateway=192.168.0.11 -o parent=ens33 openwrt-net
docker network ls && docker network inspect openwrt-net


# 下载 xxx-rootfs.tar.gz, https://supes.top/?target=x86%2F64&id=generic
# 加载镜像,创建并启动容器
docker run -it -rm --name openwrt--network openwrt-net openwrt:latest  --privileged /sbin/init
docker run -it --rm --name openwrt --network openwrt-net --ip 192.168.0.2  openwrt:latest bash 


